#blog-container {
    margin: 0 auto; /* Center for good browsers */
    padding: 0 20px 2em 20px;
    max-width: 700px;
    font-size: 0.95em;
    box-sizing: border-box;
    overflow-x: hidden;
}

#blog-container img {
    max-width: 100% !important;
    height: auto !important;
    display: block;
    box-sizing: border-box;
}

#footer {
    text-align: center;
    color: #888;
    max-width: 700px;
    margin: 0 auto;
    padding: 0 5%;
    box-sizing: border-box;
}

#pager {
    padding: 2em 0 0 0;
}

#pager strong, #pager a {
    padding: 0.2em 0.4em;
}

#pager strong {
    background: #eee;
}

#comments {
    padding: 2em 0 0 0;
}

#comments #idc-container {
    margin: 0 auto; /* Center for good browsers */
}

.entry {
    padding: 2em 0 0 0;
}

.post-date {
    color: #999;
    text-shadow: 1px 1px 0 #f3f3f3;
}

h1 {
    line-height: 1.3em;
    word-spacing: 0.1em;
    letter-spacing: -0.045em;
    text-shadow: 1px 1px 0 #ddd;
}

h3 {
    padding: 0.7em 0;
}

.entry h2 {
    line-height: 1.3em
}

p {
    padding: 0.6em 0;
    line-height: 1.4em;
    word-spacing: 0.15em;
}

ol, ul {
    margin-left: 1.5em;
}

pre {
    overflow-x: auto;
    max-width: 100%;
}

pre code {
    font-family: monaco, consolas, monospace;
    font-size: 0.9em;
}

@media (max-width: 600px) {
    h1 { font-size: 1.8em; }
    .entry h2 { font-size: 1.4em; }
}
